public class LibraryDriver
{
  public static void main(String[] args)
  {
    Library lib = new Library();


    lib.add(new LibraryBook("Mark Twain", "Huckleberry Finn", "a1"));
    lib.add(new LibraryBook("Mark Twain", "Tom Sawyer", "a2"));
    lib.add(new LibraryBook("Tolstoy", "War and Peace", "c3"));
    lib.add(new LibraryBook("Charles Dickens", "Oliver Twist", "f4"));
    lib.add(new LibraryCD("Beatles", "A Hard Day's Night", "b5"));
    lib.add(new LibraryCD("Paul Simon", "Collected works", "g8"));

    lib.listItems();
    System.out.println();

    lib.checkout("a2", "Chris");
    lib.checkout("g8", "Barbara");
    lib.checkout("f4", "John");

    lib.listItems();
    System.out.println();

    System.out.println("g8 is out to " + lib.getHolder("g8"));

  }
}

